/************************************************************************
*
* Device     : RX/RX600/RX63N,RX631
*
* File Name  : hwsetup.c
*
* Abstract   : Hardware Setup file.
*
* History    : 0.10  (2011-02-21)  [Hardware Manual Revision : 0.01]
*
* NOTE       : THIS IS A TYPICAL EXAMPLE.
*
* Copyright (C) 2011 Renesas Electronics Corporation.
* and Renesas Solutions Corp.
*
************************************************************************/

#include "iodefine.h"
#include "R_PG_DTC_RX63N.h"
extern void HardwareSetup(void);

/*******************************************************************************
* Function Name: HardwareSetup
* Description  : Set up Hardware
* Arguments    : none
* Return Value : none
*******************************************************************************/
void HardwareSetup(void)
{
    R_PG_IO_PORT_SetPortNotAvailable;
    R_PG_Clock_Set();                   /* Setting Clock */
    R_PG_IO_PORT_Set_PD();              /* Setting PD6 */
    R_PG_IO_PORT_Write_PD6(1);          /* Turn off LED1 */
    R_PG_DTC_Set();                     /* DTC Setup */
    R_PG_DTC_Set_RXI0();                /* DTC Transfer Setup(RXI0) */
    R_PG_DTC_Set_TXI0();                /* DTC Transfer Setup(TXI0) */   
    R_PG_DTC_Set_RXI2();                /* DTC Transfer Setup(RXI2) */
    R_PG_DTC_Set_TXI2();                /* DTC Transfer Setup(TXI2) */ 
    R_PG_SCI_Set_C0();                  /* Setting SCI0 */
    R_PG_SCI_Set_C2();                  /* Setting SCI2 */
    R_PG_DTC_Activate();                /* Transfer start trigger input wait state */
}
